## org.mozilla.javascript
Class Ref

    java.lang.Object
      org.mozilla.javascript.Ref

All Implemented Interfaces:
  java.io.Serializable

    public abstract class Ref

extends java.lang.Object
implements java.io.Serializable

Generic notion of reference object that know how to query/modify the target objects based on some property/index.

See Also:
  Serialized Form

Constructor Summary
`Ref()`

Method Summary
`boolean` `delete(Context cx)`
`abstract java.lang.Object` `get(Context cx)`
`boolean` `has(Context cx)`
`abstract java.lang.Object` `set(Context cx, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ref

    public Ref()

Method Detail

### has

    public boolean has(Context cx)

### get

    public abstract java.lang.Object get(Context cx)

### set

    public abstract java.lang.Object set(Context cx,
                                         java.lang.Object value)

### delete

    public boolean delete(Context cx)